@import './../../../assets/vars.scss';

.container {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    & > app-header, & > .table-list, app-footer {
        width: 100%;
    }
    & app-user-item {
        &:hover {
            cursor: pointer;
            background-color: red;
        }
    }
    & .table-list > h2 {
        display: none;
    }
}

@media (min-width: 481px) {
    .container {
        .table-list{
            width: 90%;
            border: 1px solid silver;
            border-radius: 8px 8px 0 0;
            & h2 {
                display: block;
                border-radius: 8px 8px 0 0;
                padding: 24px 0;
                text-align: center;
                background-color: $primary-color;
                color: white;
            }
        }
    }
}

@media (min-width: 800px) {
    .container {
        .table-list{
            width: 768px;
        }
    }
}